Bug 570982 - 64-bit heartbeat package fails due to error in shellfuncs HA_BIN path
Summary: 64-bit heartbeat package fails due to error in shellfuncs HA_BIN path
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: heartbeat
Version: el5
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-06 04:26 UTC by Steve Snodgrass
Modified: 2010-04-09 22:57 UTC (History)
1 user (show)

Fixed In Version: heartbeat-2.1.4-11.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-09 22:57:19 UTC


Attachments (Terms of Use)

Description Steve Snodgrass 2010-03-06 04:26:28 UTC
Description of problem:

The 64-bit version of the heartbeat package is broken due to an error in the /etc/ha.d/shellfuncs file.  The HA_BIN path is set to /usr/lib/heartbeat, but the binaries in the x86_64 version live in /usr/lib64/heartbeat.

Version-Release number of selected component (if applicable):

2.1.4-9.el5

How reproducible:

100% reproducible, the package is broken out of the box as long as only the x86_64 package is installed.

Steps to Reproduce:
1. Install x86_64 heartbeat package; configure
2. Attempt to start heartbeat (service heartbeat start)
3. Startup will fail with no output due to HA_BIN path error
  
Actual results:

Heartbeat fails to start

Expected results:

Heartbeat starts

Additional info:

I have not tested the EL4 version of the package; it may also have this problem.

Comment 1 Kevin Fenzi 2010-03-10 19:01:08 UTC
Ugh. ok. Will do some digging and see what I can do to fix this. 

Thanks for the report.

Comment 2 Fedora Update System 2010-03-21 02:54:32 UTC
heartbeat-2.1.4-11.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/heartbeat-2.1.4-11.el5

Comment 3 Kevin Fenzi 2010-03-21 02:55:37 UTC
Can you try the test update from comment #2?

Comment 4 Steve Snodgrass 2010-03-23 14:41:02 UTC
Kevin,

I'm looking at this now.  Unfortunately it seems that this build has introduced a new dependency over the -9 build.  I should be able to get around this but it's not nice when new dependencies pop up in the RPM release stream when there's not even a change to the software version.

This is a system I just had the old release installed on:

# rpm -ivh heartbeat-*
error: Failed dependencies:
        libopenhpi.so.2()(64bit) is needed by heartbeat-stonith-2.1.4-11.el5.x86_64

I'll try to test this after dealing with the OpenHPI problem.

Comment 5 Steve Snodgrass 2010-03-23 14:51:52 UTC
OK, after installed openhpi and openhpi-libs, I was able to test the package.  So far it appears to work fine; it's certainly an improvement over not working at all (without patching shellfuncs), so I give it a thumbs up.

Comment 6 Kevin Fenzi 2010-03-23 15:48:29 UTC
(In reply to comment #4)
> Kevin,
> 
> I'm looking at this now.  Unfortunately it seems that this build has introduced
> a new dependency over the -9 build.  I should be able to get around this but
> it's not nice when new dependencies pop up in the RPM release stream when
> there's not even a change to the software version.
> 
> This is a system I just had the old release installed on:
> 
> # rpm -ivh heartbeat-*
> error: Failed dependencies:
>         libopenhpi.so.2()(64bit) is needed by
> heartbeat-stonith-2.1.4-11.el5.x86_64
> 
> I'll try to test this after dealing with the OpenHPI problem.    

Yeah, that was added to produce the bladehpi stonith plugin as several people requested. ;( 

Sorry about that, but a 'yum localinstall' should pick that up. 

Thanks for testing!

Comment 7 Fedora Update System 2010-03-24 18:02:22 UTC
heartbeat-2.1.4-11.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update heartbeat'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/heartbeat-2.1.4-11.el5

Comment 8 Fedora Update System 2010-04-09 22:57:15 UTC
heartbeat-2.1.4-11.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.